Subject: bug#51925: [Trunk][macOS] "vfork" is deprecated

From: Jacob Faibussowitsch <[email-masked]>
Date: Thu, 18 Nov 2021 09:50:27 -0600

I have had these installed for ages, but as it turns out my Xcode path was still pointing to /Applications/Xcode.app/Contents/Developer -_-.

Switching to CLT I now don’t get warnings about vfork() when building emacs anymore, but have now gotten the following warning:

nproc.c:321:21: warning: passing 'const int [2]' to parameter of type 'int *' discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
        if (sysctl (mib[i], ARRAY_SIZE (mib[i]), &nprocs, &len, NULL, 0) == 0
                    ^~~~~~
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/sys/sysctl.h:770:21: note: passing argument to parameter here
int     sysctl(int *, u_int, void *, size_t *, void *, size_t);
                    ^
1 warning generated.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Nov 17, 2021, at 14:16, Filipp Gunbin <[email-masked]> wrote:
> 
> (resending with Eli & list in CC)
> 
> On 17/11/2021 13:34 -0600, Jacob Faibussowitsch wrote:
> 
>>> Did you try "make bootstrap"?
>> 
>> Yes, I’ve been getting the warning for a few weeks now, and it
>> persists through bootstrap builds. Any other config files/logs I can
>> send to help diagnose this?
>> 
> 
> Then I'd ensure that Command Line Tools are properly installed.
> 
> Either run 'xcode-select --install', or, if you want a clean install, 1)
> delete /Library/Developer/CommandLineTools, 2) download dmg from here
> https://developer.apple.com/download/all and install it.
> 
> Filipp